(ns fuck-cors-app.core
  (:require
    [clj-http.client :as client]
    [ring.adapter.jetty :as jetty]
    [ring.middleware.params :refer [wrap-params]]
    [fuck-cors.core :refer [wrap-open-cors]])
  (:gen-class))

(defn handler 
  [request]
  (if-let [url (get-in request [:query-params "url"])]
    (client/request {:request-method (:request-method request)
                     :url url})
    {:status 200
     :headers {"Content-Type" "text/plain; charset=utf-8"}
     :body "Let's bypass CORS ok?"}))

(defn -main
  [& _args]
  (jetty/run-jetty
    (-> handler
        (wrap-params)
        (wrap-open-cors))
    {:port 1977
     :host "127.0.0.1"}))
